# GetTasksResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Results** | Pointer to [**[]Task**](Task.md) |  | [optional] 
**Total** | Pointer to **int32** |  | [optional] 

## Methods

### NewGetTasksResponse

`func NewGetTasksResponse() *GetTasksResponse`

NewGetTasksResponse instantiates a new GetTasksResponse object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewGetTasksResponseWithDefaults

`func NewGetTasksResponseWithDefaults() *GetTasksResponse`

NewGetTasksResponseWithDefaults instantiates a new GetTasksResponse object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetResults

`func (o *GetTasksResponse) GetResults() []Task`

GetResults returns the Results field if non-nil, zero value otherwise.

### GetResultsOk

`func (o *GetTasksResponse) GetResultsOk() (*[]Task, bool)`

GetResultsOk returns a tuple with the Results field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetResults

`func (o *GetTasksResponse) SetResults(v []Task)`

SetResults sets Results field to given value.

### HasResults

`func (o *GetTasksResponse) HasResults() bool`

HasResults returns a boolean if a field has been set.

### GetTotal

`func (o *GetTasksResponse) GetTotal() int32`

GetTotal returns the Total field if non-nil, zero value otherwise.

### GetTotalOk

`func (o *GetTasksResponse) GetTotalOk() (*int32, bool)`

GetTotalOk returns a tuple with the Total field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetTotal

`func (o *GetTasksResponse) SetTotal(v int32)`

SetTotal sets Total field to given value.

### HasTotal

`func (o *GetTasksResponse) HasTotal() bool`

HasTotal returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


